Skip to main content
GET
/
v1
/
links
/
{link_id}
/
direct_deposit
/
report
Retrieve a direct deposit switch report for a link
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/direct_deposit/report/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "id": "24d7e80942ce4ad58a93f70ce4115f5c",
  "status": "new",
  "completed_at": "2021-04-06T11:30:00.000Z",
  "access_token": "48427a36d43c4d5aa6324bc06c692456",
  "tracking_info": "user123456",
  "deposit_details": {
    "account_number": "16002600",
    "account_type": "checking",
    "routing_number": "123456789",
    "bank_name": "TD Bank",
    "deposit_type": "entire",
    "deposit_value": "50.00"
  },
  "provider": {
    "id": "adp",
    "name": "ADP",
    "logo_url": "<string>"
  },
  "finished_at": "2021-04-06T11:30:00.000Z",
  "is_suspicious": true,
  "initial_accounts": [
    {
      "account_number": "16001234",
      "routing_number": "55999876",
      "account_type": "checking",
      "account_name": "<string>",
      "bank_name": "TD Bank",
      "deposit_type": "amount",
      "deposit_value": "50.00"
    }
  ],
  "pdf_report": "https://cdn.truv.com/report.pdf",
  "employer": {
    "id": "meta",
    "name": "Meta",
    "logo_url": "<string>"
  }
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Response

Data for the DDS report

id
string
required

Unique ID

Example:

"24d7e80942ce4ad58a93f70ce4115f5c"

status
string
required
Example:

"new"

completed_at
string
required

Time when report was completed (Deprecated, invalid datetime format)

Example:

"2021-04-06T11:30:00.000Z"

access_token
string
required

Access token for a Link to payroll provider

Example:

"48427a36d43c4d5aa6324bc06c692456"

tracking_info
string | null
required

Any information passed to the Truv Bridge from a partner

Example:

"user123456"

deposit_details
object
required

Bank account info. Used for Direct deposit switching and Paycheck linked lending

provider
object
required

Payroll provider

finished_at
string

Time when report was finished

Example:

"2021-04-06T11:30:00.000Z"

is_suspicious
boolean

Flag to indicate if the data from the source is suspicious. E.g. fraud detected in uploaded documents or SSN of the user does not match with the data

initial_accounts
object[] | null

List of initial accounts

pdf_report
string<uri>

URL that points to the PDF file containing the report

Example:

"https://cdn.truv.com/report.pdf"

employer
object

Employer